#version 330 core
layout (location = 0) in vec3 vertexPosition;
layout (location = 1) in vec4 vertexColor;
layout (location = 2) in vec3 vertexNormal;

uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
uniform mat3 uNMatrix;
 
out vec4 mvPosition;
out vec4 vColor;
out vec3 transformedNormal;

void main(void) {
    mvPosition = uMVMatrix * vec4(vertexPosition, 1.0);
    gl_Position = uPMatrix * mvPosition;
    vColor = vertexColor;
    transformedNormal = uNMatrix * vertexNormal;
}
