#version 330 core

uniform bool useAmbient;
uniform vec3 uAmbientColor;
uniform samplerCube texture1;

in vec3 texCoord;

void main(void) {
	if (useAmbient) {
		vec4 vColor = vec4(0.0, 0.0, 1.0, 1.0);
		vec4 c = vec4(vColor.rgb * uAmbientColor, vColor.a);
		gl_FragColor = mix(texture(texture1, texCoord), c, 0.5);
	}
	else {
		gl_FragColor = texture(texture1, texCoord);
	}
}
