static bool rotationOn = false;
static double lastX, lastY;

GLuint mouseIn = 0;

static void key_callback(GLFWwindow* window, int key, int scancode, int action, int mods)
{
	if (key == GLFW_KEY_ESCAPE && action == GLFW_PRESS) {
		glfwSetWindowShouldClose(window, GLFW_TRUE);
		return;
	}
	if(action != GLFW_PRESS) {
		return;
	}
}

static void mouse_button_callback(GLFWwindow* window, int button, int action, int mods)
{
	if (button != GLFW_MOUSE_BUTTON_LEFT) {
		return;
	}
	if (action == GLFW_PRESS) {
		rotationOn = true;
		glfwGetCursorPos(window, &lastX, &lastY);
		return;
	}
	else {
		rotationOn = false;
	}
}

static void cursor_position_callback(GLFWwindow* window, double xpos, double ypos)
{
	double x, y;
	if(!rotationOn) return;
	x = ypos - lastY;
	y = xpos - lastX;
	lastX = xpos;
	lastY = ypos;

	double xAngle = degToRad(x/5.0);
	double yAngle = degToRad(y/5.0);
	updateAngles(xAngle, yAngle);
}


void cursor_enter_callback(GLFWwindow* window, int entered)
{
        mouseIn = entered;
}

