/*------------------------------------------------*/
/* 10assimp/assimp/model.h                         */
#ifndef _MODEL_H
#define _MODEL_H
#define _CRT_SECURE_NO_WARNINGS
#include <assimp/cimport.h>
#include <assimp/scene.h>
#include <assimp/postprocess.h>
#include <stdbool.h>
#include "stb-image.h"
#include "camera.h"
#include "shader.h"
#include "mesh.h"

typedef struct Model Model;

typedef struct Model {
	bool success;
	Shader program;
	Mesh * meshes;
	size_t numMeshes;
	void(*draw)(Model * model, mat4x4 uMVMatrix, mat4x4 view, mat4x4 uPMatrix);
	void(*destroy)(Model *model);
} Model;

Model constructModel(char *path);
#endif
/*------------------------------------------------*/
